> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Synctera Pay Transfer

> Create an Outgoing Synctera Pay transfer
> 🚧 Beta > This is a Beta endpoint. Feedback from the community is welcome. Any breaking changes to this endpoint will be pre-announced.




## OpenAPI

````yaml openapi-v1.json post /synctera_pay
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /synctera_pay:
    summary: Synctera Pay
    description: >
      The collection represents the endpioints that are used to create, update,
      and delete Synctera Pay transfers.
    post:
      tags:
        - SyncteraPay (beta)
      summary: Create Synctera Pay Transfer
      description: >
        Create an Outgoing Synctera Pay transfer

        > 🚧 Beta > This is a Beta endpoint. Feedback from the community is
        welcome. Any breaking changes to this endpoint will be pre-announced.
      operationId: createSyncteraPayTransfer
      parameters:
        - $ref: '#/components/parameters/idempotency_key'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/synctera_pay_post'
        description: Attributes of the Outgoing Synctera Pay transfer
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/synctera_pay_response'
          description: Successful creation of an Outgoing Synctera Pay transfer
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '404':
          $ref: '#/components/responses/not_found'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    idempotency_key:
      description: >-
        An idempotency key is an arbitrary unique value generated by client to
        detect subsequent retries of the same request. It is recommended that a
        UUID or a similar random identifier be used as an idempotency key. A
        different key must be used for each request, unless it is a retry.
      in: header
      name: Idempotency-Key
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        type: string
  schemas:
    synctera_pay_post:
      allOf:
        - properties:
            account_id:
              description: |
                The UUID of the Synctera account resource of the customer.
              example: b01db9c7-78f2-4a99-8aca-1231d32f9b96
              format: uuid
              type: string
            customer_id:
              description: |
                The UUID of the Synctera customer resource.
              example: 46fec39e-e776-4571-bf90-d0e1d15172fe
              format: uuid
              type: string
            effective_date:
              description: The effective date of the transaction once it gets posted
              example: '2022-03-18'
              format: date
              type: string
            reference_id:
              description: >-
                The network reference id of the transfer, this must be supplied
                by the vendor.
              type: string
          required:
            - account_id
            - customer_id
            - effective_date
        - $ref: '#/components/schemas/synctera_pay_base'
      description: Properties for creating an outgoing transfer
      title: Outgoing Synctera Pay Transfer Post
      type: object
    synctera_pay_response:
      allOf:
        - properties:
            customer_id:
              description: >
                The UUID of the Synctera customer resource that is the
                originator of the transfer.
              example: 46fec39e-e776-4571-bf90-d0e1d15172fe
              type: string
            destination_account_id:
              description: >
                The UUID of the Synctera account that is the destination of the
                transfer. For a transfer originated by the Synctera platform,
                this will be an external account resource, while for a transfer
                originated by the external account, this account will be an
                account resource.
              example: fccb4a46-1261-4e91-b622-73b5b946183d
              type: string
            destination_account_owner_name:
              description: The account owner name of the destination account.
              type: string
            effective_date:
              description: The effective date of the transaction once it gets posted
              example: '2022-03-18'
              format: date
              type: string
            failed:
              description: Whether the transfer failed or not.
              example: false
              type: boolean
            history:
              items:
                $ref: '#/components/schemas/action'
              type: array
            id:
              description: ID of the transfer
              format: uuid
              type: string
            is_same_day:
              description: >-
                Send the same day (use only is_same_day without specific
                effective_date).
              example: true
              type: boolean
            network_status:
              $ref: '#/components/schemas/synctera_pay_network_status'
            original_reference_id:
              description: The original reference id of the transfer if it's a return.
              type: string
            originating_account_id:
              description: >
                The UUID of the Synctera account that is the origination of the
                transfer. For a transfer originated by the Synctera platform,
                this will be an account resource, while for a transfer
                originated by the external account, this will be an external
                account resource.
              example: b01db9c7-78f2-4a99-8aca-1231d32f9b96
              type: string
            originating_account_owner_name:
              description: The account owner name of the origination account.
              type: string
            posting_date:
              description: The posting date of the transaction once it gets posted
              example: '2022-03-18'
              format: date
              type: string
            reference_id:
              description: The reference id of the transfer.
              type: string
            status:
              $ref: '#/components/schemas/synctera_pay_status'
            suspended:
              description: Whether the transfer is suspended or not.
              example: false
              type: boolean
            tenant_id:
              $ref: '#/components/schemas/tenant_id'
            transaction_id:
              description: The related transaction id of the transfer.
              example: 45b5246f-ad97-4629-9aac-465b74a05505
              format: uuid
              type: string
          required:
            - currency
            - effective_date
            - id
            - is_same_day
            - status
            - subtype
            - tenant_id
        - $ref: '#/components/schemas/synctera_pay_base'
      description: Outgoing Synctera Pay transfer
      title: Outgoing Synctera Pay Transfer Response
      type: object
    synctera_pay_base:
      description: Outgoing Synctera Pay transfer
      properties:
        amount:
          description: Transfer amount in cents
          example: 10000
          format: int64
          minimum: 1
          type: integer
        configuration_id:
          description: >
            The ID of the Outgoing Synctera Pay configuration that will be used
            to match the Synctera Pay transfer to the appropriate configuration.
            Only required if the transfer is not automatically matched to a
            configuration.
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
        currency:
          description: The currency of the transfer in ISO 4217 format
          example: USD
          type: string
        dc_sign:
          description: >
            The debit/credit sign of the transfer. This is a legacy field for
            backward compatibility. For outgoing synctera pay, customer accounts
            are always debited. For incoming synctera pay, customer accounts are
            always credited. The direction of the transfer is determined by the
            API route that is used to create the transfer. For outgoing synctera
            pay, the dc_sign must be specified and it must always be 'CREDIT'.
          enum:
            - CREDIT
          example: CREDIT
          type: string
        direction:
          $ref: '#/components/schemas/synctera_pay_direction'
        exchange_details:
          $ref: '#/components/schemas/exchange_details'
        final_external_account_id:
          description: >
            The ID of the final external account that will be the receiver of
            the Outgoing Synctera Pay transfer. Required unless previously
            agreed with Synctera.
          format: uuid
          type: string
        source_data:
          description: Additional information to be added to the transfer
          type: object
        subtype:
          $ref: '#/components/schemas/synctera_pay_subtype'
        synctera_pay_network:
          description: |
            The network of the transfer.
          example: WISE
          type: string
        synctera_pay_vendor_id:
          $ref: '#/components/schemas/synctera_pay_vendor_id'
      required:
        - amount
        - currency
        - dc_sign
        - direction
        - subtype
        - synctera_pay_network
      title: Outgoing Synctera Pay Transfer
      type: object
    action:
      properties:
        data:
          type: object
        message:
          type: string
        timestamp:
          format: date-time
      required:
        - data
        - message
        - timestamp
      type: object
    synctera_pay_network_status:
      description: |
        The network status of the outgoing transfer in the Synctera platform.
      enum:
        - PENDING
        - POSTED
        - RETURNED
        - REVERSED
      example: POSTED
      type: string
    synctera_pay_status:
      description: >
        The status of the outgoing transfer in the Synctera platform. This is
        automatically set upon the creation of a transfer. To cancel a transfer,
        the current status must be 'INITIATED' or 'PENDING' and the request
        status set to 'CANCELLED'. To trigger a return, the current status must
        be 'POSTED' and the returned status will be set to 'RETURNED' if
        successful.
      enum:
        - CANCELLED
        - EXPIRED
        - INITIATED
        - PENDING
        - POSTED
      example: POSTED
      type: string
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    synctera_pay_direction:
      description: >
        The direction of the transfer. This is a legacy field for backward
        compatibility. The direction of the transfer is determined by the API
        route that is used to create the transfer. For outgoing synctera pay,
        the direction must be specified and it must always be 'OUTGOING'.
      enum:
        - OUTGOING
      example: OUTGOING
      type: string
    exchange_details:
      properties:
        fees:
          description: |
            The fees associated with the exchange.
          items:
            $ref: '#/components/schemas/exchange_fee_details'
          type: array
        rate:
          description: >
            The exchange rate from source to target currency. For example:
            1.30445
          example: 1.30445
          type: string
        source_amount:
          description: >
            The amount in the source currency's minor unit. For example, 10000
            would be $100 for USD. This is the amount inclusive of fees.
          example: 10000
          format: int64
          minimum: 1
          type: integer
        source_currency:
          description: The ISO 4217 currency code
          example: USD
          type: string
        target_amount:
          description: >
            The amount in the target currency's minor unit. For example, 13045
            would be £130.45 for GBP. This is the amount inclusive of fees.
          example: 10000
          format: int64
          minimum: 1
          type: integer
        target_currency:
          description: The ISO 4217 currency code
          example: GBP
          type: string
      required:
        - rate
        - source_amount
        - source_currency
        - target_amount
        - target_currency
      type: object
    synctera_pay_subtype:
      description: |
        The subtype of the outgoing synctera pay transfer
      enum:
        - INCOMING_INTERAC_AUTODEPOSIT
        - INCOMING_INTERAC_AUTODEPOSIT_RETURN
        - INCOMING_INTERAC_AUTODEPOSIT_RETURN_REVERSAL
        - INCOMING_INTERAC_AUTODEPOSIT_REVERSAL
        - INCOMING_INTERAC_E_TRANSFER
        - INCOMING_INTERAC_E_TRANSFER_RETURN
        - INCOMING_INTERAC_E_TRANSFER_RETURN_REVERSAL
        - INCOMING_INTERAC_E_TRANSFER_REVERSAL
        - OUTGOING_ACCOUNT_TRANSFER
        - OUTGOING_ACCOUNT_TRANSFER_RETURN
        - OUTGOING_ACCOUNT_TRANSFER_RETURN_REVERSAL
        - OUTGOING_ACCOUNT_TRANSFER_REVERSAL
        - OUTGOING_BILL_PAYMENT
        - OUTGOING_BILL_PAYMENT_RETURN
        - OUTGOING_BILL_PAYMENT_RETURN_REVERSAL
        - OUTGOING_BILL_PAYMENT_REVERSAL
        - OUTGOING_CARD_LOAD
        - OUTGOING_CARD_LOAD_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET_REVERSAL
        - OUTGOING_INTERAC_E_TRANSFER
        - OUTGOING_INTERAC_E_TRANSFER_RETURN
        - OUTGOING_INTERAC_E_TRANSFER_RETURN_REVERSAL
        - OUTGOING_INTERAC_E_TRANSFER_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET_REVERSAL
        - OUTGOING_INTERNATIONAL_REMITTANCE
        - OUTGOING_INTERNATIONAL_REMITTANCE_RETURN
        - OUTGOING_INTERNATIONAL_REMITTANCE_RETURN_REVERSAL
        - OUTGOING_INTERNATIONAL_REMITTANCE_REVERSAL
      example: OUTGOING_INTERNATIONAL_REMITTANCE
      type: string
    synctera_pay_vendor_id:
      description: >-
        The ID of the vendor that will be used to process the Synctera Pay
        transfer.
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    exchange_fee_details:
      properties:
        amount:
          description: >
            The amount in the source currency's minor unit. For example, 10000
            would be $100 for USD.  One of the amount or percentage is required.
          format: int64
          minimum: 1
          type: integer
        currency:
          description: >
            The ISO 4217 currency code of the fee. The currency must match
            either the source or target currency of the exchange details. If the
            fee is a percentage of the source amount, the currency must match
            the source currency. If the fee is a percentage of the target
            amount, the currency must match the target currency.
          type: string
        description:
          description: The description of the fee.
          type: string
        fee_type:
          $ref: '#/components/schemas/exchange_fee_details_fee_type'
        percentage:
          description: >
            The percentage of the amount that is the fee. For example, "0.05403"
            would be 5.403%.  One of the amount or percentage is required.
          type: string
      required:
        - currency
        - fee_type
    exchange_fee_details_fee_type:
      description: |
        The type of fee. For example, "FX" would be a foreign exchange fee.
      enum:
        - FX
        - OTHER
        - SERVICE
      type: string
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    not_found:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Resource not found
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````